## adsys 0.13.0build1

=== debian/changelog ===
adsys (0.13.0build1) mantic; urgency=medium

  * No-change rebuild with Go 1.21.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 24 Aug 2023 15:59:25 +1200

adsys (0.13.0) mantic; urgency=medium

  [ Denison Barbosa ]
  [ Didier Roche ]
  [ Gabriel Nagy ]
  * Add certificate policy manager for machines
    - a new Pro-only policy manager that leverages Samba functionality in order
      to enroll the machine for certificates from AD Certificate Services
  * Migrate translation support to native approach using go-i18n + gotext
  * Update policy definitions to include dconf key for dark mode background
  * Update dependencies to latest:
    - github.com/charmbracelet/bubbles
    - github.com/charmbracelet/bubbletea
    - github.com/golangci/golangci-lint
    - github.com/muesli/termenv
    - github.com/sirupsen/logrus
    - golang.org/x/net
    - golang.org/x/sync
    - golang.org/x/sys
    - golang.org/x/text
    - google.golang.org/grpc
    - google.golang.org/protobuf
  * CI and quality of life changes not impacting package functionality:
    - Address a few issues in smbsafe_test.go
    - Fix typo on build command for the admxgen package
    - Switch to reusable code quality action in CI
    - Apply issue template changes
    - Open issue when ADMX/L builds fail

 -- Gabriel Nagy <gabriel.nagy@canonical.com>  Thu, 10 Aug 2023 11:34:46 +0300

adsys (0.12.0) mantic; urgency=medium

  [ Denison Barbosa ]
  [ Didier Roche ]
  [ Gabriel Nagy ]
  [ Jean-Baptiste Lallement ]
  * Release 0.12.0 (LP: #2020682)
    - Fix DCONF_PROFILE not considering default_domain_suffix on sssd.conf
    - Go implementation for the user mount handler
    - Remove Rust source code from adsys
    - Rework Kerberos ticket handling logic:
      - to satisfy the Heimdal implementation of Kerberos, we now store and use
        a root-owned copy of the cached ticket
      - the ticket lifetime is still handled via a symlink, and the copy is
        kept up to date based on the original ticket timestamp
    - Ensure empty state for dconf policy
    - Handle case mismatches in GPT.INI file name
    - Refactor ListActiveUsers gRPC function
    - Add adsysctl policy purge command to purge applied policies
    - Rework policy application sync strategy
    - Print logs when policies are up to date
    - Bump Go version to 1.20
    - Update dependencies to latest:
      - github.com/charmbracelet/bubbles
      - github.com/charmbracelet/bubbletea
      - github.com/sirupsen/logrus
      - github.com/spf13/cobra
      - github.com/stretchr/testify
      - golang.org/x/net
      - golang.org/x/sync
      - golang.org/x/sys
      - google.golang.org/grpc
    - CI and quality of life changes not affecting package functionality:
      - peter-evans/create-pull-request
      - Apply clang-format to C source files
      - Remove Rust related code from CI and tests
      - Improve test consistency
      - Fix documentation example images

 -- Denison Barbosa <denison.barbosa@canonical.com>  Fri, 26 May 2023 07:11:55 -0400

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

export GOCACHE=$(shell mktemp -d /tmp/gocache-XXXX)

WIN_ARCHS := amd64 arm64
COMMON_GOFLAGS := -ldflags=-X=github.com/ubuntu/adsys/internal/consts.Version=$(shell dpkg-parsechangelog -S Version) -mod=vendor -tags=withmo
export GOFLAGS := $(COMMON_GOFLAGS) -buildmode=pie
export WIN_GOFLAGS := $(COMMON_GOFLAGS)
# PIE on Windows is only supported for amd64
ifeq ($(shell dpkg --print-architecture),amd64)
	WIN_GOFLAGS += -buildmode=pie
endif

# Only build adwatchd on supported architectures
ifneq ($(filter $(shell dpkg --print-architecture),$(WIN_ARCHS)),)
	WINDOWS_BUILD := 1
endif

# Copy in build directory all content to embed
export DH_GOLANG_INSTALL_ALL := 1

# Skip integration tests when building package: they need docker images
# Tests needing sudo will be skipped automatically
export ADSYS_SKIP_INTEGRATION_TESTS=1

%:
	dh $@ --buildsystem=golang --with=golang,apport

override_dh_auto_clean:
	dh_auto_clean
	# Create the vendor directory when building the source package
	[ -d vendor/ ] || go mod vendor

override_dh_auto_build:
	# Build on linux only adsysd itself, and not generator or Windows binaries
	DH_GOLANG_BUILDPKG=github.com/ubuntu/adsys/cmd/adsysd dh_auto_build

	# Build the Windows executables for adwatchd where applicable
ifeq ($(WINDOWS_BUILD),1)
	GOFLAGS="$(WIN_GOFLAGS)" GOOS=windows DH_GOLANG_BUILDPKG=github.com/ubuntu/adsys/cmd/adwatchd dh_auto_build
endif

	# Build mo files
	go run vendor/github.com/ubuntu/go-i18n/cmd/compile-mo/*.go adsys po/ obj-$(DEB_TARGET_GNU_TYPE)/locale

override_dh_auto_install:
	dh_auto_install -- --no-source

	# PAM configuration
	mkdir -p debian/tmp/usr/share/pam
	cp -a pam/pam-configs debian/tmp/usr/share

	# systemd services
	mkdir -p debian/tmp/lib/systemd/system debian/tmp/usr/lib/systemd/user
	cp -a systemd/*.mount debian/tmp/lib/systemd/system/
	cp -a systemd/*.service debian/tmp/lib/systemd/system/
	cp -a systemd/*.socket debian/tmp/lib/systemd/system/
	cp -a systemd/*.timer debian/tmp/lib/systemd/system/
	cp -a systemd/user/*.service debian/tmp/usr/lib/systemd/user/

	# compiled locales
	cp -a obj-$(DEB_TARGET_GNU_TYPE)/locale debian/tmp/usr/share/locale/

	# vendored Python code
	mkdir -p debian/tmp/usr/share/adsys
	cp -a internal/policies/certificate/python debian/tmp/usr/share/adsys/

# Separate windows binaries
ifeq ($(WINDOWS_BUILD),1)
	mkdir -p debian/tmp/usr/share/adsys/windows
	mv debian/tmp/usr/bin/windows_*/* debian/tmp/usr/share/adsys/windows
	rmdir debian/tmp/usr/bin/windows_*

	# Ship admx/adml for ubuntu
	cp -a policies/Ubuntu debian/tmp/usr/share/adsys/windows/policies
endif

	# Install in /sbin
	mv debian/tmp/usr/bin/ debian/tmp/sbin
	# Create adsysctl command
	ln -s adsysd debian/tmp/sbin/adsysctl
	# Run go generate to install assets, but don’t regenerate them
	GENERATE_ONLY_INSTALL_TO_DESTDIR=$(CURDIR)/debian/tmp go generate -x -tags tools $(GOFLAGS) ./...

## adsys 0.13.1

=== debian/changelog ===
adsys (0.13.1) mantic; urgency=medium

  [ Denison Barbosa ]
  [ Didier Roche ]
  [ Gabriel Nagy ]
  * Fix pam_adsys build (LP: #2037270)
  * Switch to upstream gotext version and align go-i18n (LP: #2037271)
  * Add documentation for certificate policy manager
  * CI and quality of life changes not impacting package functionality:
    - Workflow to auto-patch vendored Samba code
    - Fix typo on build command for the admxgen package
    - Switch to reusable code quality action in CI
    - Apply issue template changes
    - Open issue when ADMX/L builds fail
  * Update dependencies to latest:
    - github.com/charmbracelet/lipgloss
    - github.com/golangci/golangci-lint
    - github.com/gomarkdown/markdown
    - golang.org/x/net
    - golang.org/x/sys
    - golang.org/x/text
    - google.golang.org/grpc

 -- Gabriel Nagy <gabriel.nagy@canonical.com>  Mon, 25 Sep 2023 14:55:32 +0300

## adsys 0.13.1ubuntu0.1

=== debian/changelog ===
adsys (0.13.1ubuntu0.1) mantic-security; urgency=medium

  * No change rebuild due to golang-1.20, golang-1.21 updates

 -- Nishit Majithia <nishit.majithia@canonical.com>  Thu, 01 Feb 2024 13:25:12 +0530

=== debian/control ===
Source: adsys
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: debhelper-compat (= 13),
               dh-apport,
               dh-golang,
               golang-go (>= 2:1.20~),
               libsmbclient-dev,
               libdbus-1-dev,
               libglib2.0-dev,
               python3,
               python3-samba,
               samba-dsdb-modules,
               libpam0g-dev,
               samba,
               dbus,
               libwbclient-dev,
               apparmor,
Standards-Version: 4.5.1
XS-Go-Import-Path: github.com/ubuntu/adsys
Homepage: https://github.com/ubuntu/adsys
Description: AD SYStem integration
 ADSys is an AD SYStem tool to integrate GPOs with a linux system.
 It allows one to handle machine and users GPOs, mapping them to dconf keys,
 apparmor rules, mounts, proxy settings, certificate autoenrollment and running
 scripts at different points in time.


Package: adsys
Architecture: any
Built-Using: ${misc:Built-Using},
Depends: ${shlibs:Depends},
         ${misc:Depends},
         python3,
         python3-samba,
         samba-dsdb-modules,
         sssd | winbind,
         sssd | krb5-user,
         sssd-dbus | winbind,
         apparmor,
         cifs-utils,
         gvfs,
Recommends: ${misc:Recommends},
            ubuntu-advantage-desktop-daemon,
Suggests: curlftpfs,
          ubuntu-proxy-manager,
          python3-cepces,
Description: ${source:Synopsis}
 ${source:Extended-Description}

Package: adsys-windows
Architecture: amd64 arm64
Built-Using: ${misc:Built-Using},
Depends: ${shlibs:Depends},
         ${misc:Depends},
Description: ${source:Synopsis}
 ${source:Extended-Description}
 .
 This package contains all the assets and binaries to install
 on the Active Directory Windows server.
 The binaries are Windows executables.

## adsys 0.13.2

=== debian/changelog ===
adsys (0.13.2) noble; urgency=medium

  [ Denison Barbosa ]
  [ Didier Roche ]
  [ Gabriel Nagy ]
  [ Jean-Baptiste Lallement ]
  * Ensure GPO URLs contain the FQDN of the domain controller (LP: #2024377)
  * Add runtime dependency on nfs-common (LP: #2044112)
  * Documentation changes:
    - Switch to Read the Docs for project documentation
    - Generate documentation from policy definitions
    - Fix installation path of adwatchd
  * CI and quality of life changes not impacting package functionality:
    - Bump go version to 1.21.4
    - Fix docker stop behavior on integration tests
    - Add e2e tests provisioning workflow
    - Reduce the amount of workflows to be run
    - Remove scopes from dependabot config
  * Update dependencies to latest:
    - github.com/charmbracelet/lipgloss
    - github.com/fatih/color
    - github.com/fsnotify/fsnotify
    - github.com/golangci/golangci-lint
    - github.com/google/uuid
    - github.com/maruel/natural
    - github.com/pkg/sftp
    - github.com/spf13/cobra
    - github.com/spf13/viper
    - golang.org/x/crypto
    - golang.org/x/net
    - golang.org/x/sync
    - golang.org/x/sys
    - golang.org/x/text
    - google.golang.org/grpc

 -- Gabriel Nagy <gabriel.nagy@canonical.com>  Tue, 21 Nov 2023 12:53:10 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends: debhelper-compat (= 13),
                dh-apport,
                dh-golang,
-               golang-go (>= 2:1.20~),
+               golang-go (>= 2:1.21~),
                libsmbclient-dev,
                libdbus-1-dev,
                libglib2.0-dev,
@@ -40,6 +40,7 @@
          sssd-dbus | winbind,
          apparmor,
          cifs-utils,
+         nfs-common,
          gvfs,
 Recommends: ${misc:Recommends},
             ubuntu-advantage-desktop-daemon,

## adsys 0.14.1~22.04

=== debian/changelog ===
adsys (0.14.1~22.04) jammy; urgency=medium

  * Backport 0.14.1 to jammy (LP: #2059756)
    - Build with Go 1.22
    - Disable dh_dwz on account of go >= 1.19 compressing symbols itself
      (fixed in newer dh_golang)
    - Revert incorrect prerm purge stanza

 -- Gabriel Nagy <gabriel.nagy@canonical.com>  Wed, 26 Jun 2024 12:34:21 +0300

adsys (0.14.1build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:04:17 +1100

adsys (0.14.1) noble; urgency=medium

  * Pin Go toolchain to 1.22.1 to fix the following security vulnerabilities:
    - GO-2024-2598
    - GO-2024-2599
  * Update apport hook to include journal errors and package logs
  * CI and quality of life changes not impacting package functionality:
    - Enable end-to-end tests in GitHub Actions
    - Remove stale AD resources on test finish
    - Add developer documentation for running end-to-end tests
    - Collect and upload end-to-end test logs on failure
    - Report test coverage in Cobertura XML format
    - Silence gosec warnings using nolint and remove deprecated ifshort linter
    - Use an environment variable to update golden files
    - Bump github actions to latest:
      - azure/login
      - softprops/action-gh-release
  * Update dependencies to latest:
    - github.com/charmbracelet/lipgloss
    - github.com/golangci/golangci-lint
    - github.com/golang/protobuf
    - github.com/stretchr/testify
    - golang.org/x/crypto
    - golang.org/x/net
    - google.golang.org/grpc
    - google.golang.org/protobuf

 -- Gabriel Nagy <gabriel.nagy@canonical.com>  Thu, 21 Mar 2024 12:27:01 +0200

adsys (0.14.0) noble; urgency=medium

  * Infer user KRB5CCNAME path via the libkrb5 API (LP: #2049061)
    - This functionality is opt-in and activated if the detect_cached_ticket
      setting is set to true
    - If the AD backend (e.g. sssd) doesn't export the KRB5CCNAME variable, adsys
      will now determine the path to the default ticket cache and use it during
      authentication (when adsys is executed through the PAM module) and runs of
      adsysctl update for the current user.
  * Allow sssd backend to work without ad_domain being set (LP: #2054445)
  * Upgrade to Go 1.22
  * CI and quality of life changes not impacting package functionality:
    - Pass token explicitly to Codecov action
    - Fix require outside of main goroutine
    - Mark function arguments as unused where applicable
      Thanks to Edu Gómez Escandell
    - End to end test VM template creation updates
    - Bump github actions to latest:
      - codecov/codecov-action
      - peter-evans/create-pull-request
  * Update dependencies to latest:
    - github.com/charmbracelet/bubbles
    - github.com/golangci/golangci-lint
    - golang.org/x/crypto
    - golang.org/x/net
    - google.golang.org/grpc

 -- Gabriel Nagy <gabriel.nagy@canonical.com>  Tue, 27 Feb 2024 11:58:57 +0200

adsys (0.13.3) noble; urgency=medium

  * Fix cert auto-enroll without NDES (LP: #2051363)
  * Refresh policy definition files (remove Lunar support)
  * CI and quality of life changes not impacting package functionality:
    - Bump github actions to latest:
      - actions/download-artifact
      - actions/setup-go
      - actions/upload-artifact
  * Update dependencies to latest:
    - github.com/charmbracelet/bubbles
    - github.com/charmbracelet/bubbletea
    - github.com/google/uuid
    - github.com/spf13/viper
    - golang.org/x/crypto
    - golang.org/x/net
    - golang.org/x/sync
    - golang.org/x/sys
    - google.golang.org/grpc
    - google.golang.org/protobuf

 -- Gabriel Nagy <gabriel.nagy@canonical.com>  Fri, 26 Jan 2024 13:57:46 +0200

## adsys 0.14.1~23.10.1

=== debian/changelog ===
adsys (0.14.1~23.10.1) mantic; urgency=medium

  * Fix Go path in autopkgtests

 -- Gabriel Nagy <gabriel.nagy@canonical.com>  Thu, 06 Jun 2024 11:45:02 +0300

adsys (0.14.1~23.10) mantic; urgency=medium

  * Backport to Mantic (LP: #2059756)

 -- Gabriel Nagy <gabriel.nagy@canonical.com>  Tue, 30 Apr 2024 15:54:03 +0300

=== debian/rules ===
--- 
+++ 
@@ -3,9 +3,13 @@
 
 export GOCACHE=$(shell mktemp -d /tmp/gocache-XXXX)
 
+# Run with Go 1.22
+export PATH := /usr/lib/go-1.22/bin/:$(PATH)
+
 WIN_ARCHS := amd64 arm64
+# Tags should always come last as we append to them in other parts of the build
 COMMON_GOFLAGS := -ldflags=-X=github.com/ubuntu/adsys/internal/consts.Version=$(shell dpkg-parsechangelog -S Version) -mod=vendor -tags=withmo
-export GOFLAGS := $(COMMON_GOFLAGS) -buildmode=pie
+export GOFLAGS := -buildmode=pie $(COMMON_GOFLAGS)
 export WIN_GOFLAGS := $(COMMON_GOFLAGS)
 # PIE on Windows is only supported for amd64
 ifeq ($(shell dpkg --print-architecture),amd64)
@@ -81,4 +85,4 @@
 	# Create adsysctl command
 	ln -s adsysd debian/tmp/sbin/adsysctl
 	# Run go generate to install assets, but don’t regenerate them
-	GENERATE_ONLY_INSTALL_TO_DESTDIR=$(CURDIR)/debian/tmp go generate -x -tags tools $(GOFLAGS) ./...
+	GENERATE_ONLY_INSTALL_TO_DESTDIR=$(CURDIR)/debian/tmp go generate -x $(GOFLAGS),tools ./...

## adsys 0.14.1build1

=== vendor/github.com/microcosm-cc/bluemonday/Makefile ===
# Targets:
#
#   all:          Builds the code locally after testing
#
#   fmt:          Formats the source files
#   fmt-check:    Check if the source files are formated
#   build:        Builds the code locally
#   vet:          Vets the code
#   lint:         Runs lint over the code (you do not need to fix everything)
#   test:         Runs the tests
#   cover:        Gives you the URL to a nice test coverage report
#
#   install:      Builds, tests and installs the code locally

GOFILES_NOVENDOR = $(shell find . -type f -name '*.go' -not -path "./vendor/*" -not -path "./.git/*")

.PHONY: all fmt build vet lint test cover install

# The first target is always the default action if `make` is called without
# args we build and install into $GOPATH so that it can just be run

all: fmt vet test install

fmt:
	@gofmt -s -w ${GOFILES_NOVENDOR}

fmt-check:
	@([ -z "$(shell gofmt -d $(GOFILES_NOVENDOR) | head)" ]) || (echo "Source is unformatted"; exit 1)

build:
	@go build

vet:
	@go vet

lint:
	@golint *.go

test:
	@go test -v ./...

cover: COVERAGE_FILE := coverage.out
cover:
	@go test -coverprofile=$(COVERAGE_FILE) && \
	cover -html=$(COVERAGE_FILE) && rm $(COVERAGE_FILE)

install:
	@go install ./...

=== vendor/github.com/yuin/goldmark/Makefile ===
.PHONY: test fuzz

test:
	go test -coverprofile=profile.out -coverpkg=github.com/yuin/goldmark,github.com/yuin/goldmark/ast,github.com/yuin/goldmark/extension,github.com/yuin/goldmark/extension/ast,github.com/yuin/goldmark/parser,github.com/yuin/goldmark/renderer,github.com/yuin/goldmark/renderer/html,github.com/yuin/goldmark/text,github.com/yuin/goldmark/util ./...

cov: test
	go tool cover -html=profile.out

fuzz:
	cd ./fuzz && go test -fuzz=Fuzz

=== debian/control ===
--- 
+++ 
@@ -5,18 +5,19 @@
 Build-Depends: debhelper-compat (= 13),
                dh-apport,
                dh-golang,
-               golang-go (>= 2:1.21~),
-               libsmbclient-dev,
+               golang-go (>= 2:1.22~),
+               apparmor,
+               dbus,
                libdbus-1-dev,
                libglib2.0-dev,
+               libkrb5-dev,
+               libpam0g-dev,
+               libsmbclient-dev,
+               libwbclient-dev,
                python3,
                python3-samba,
+               samba,
                samba-dsdb-modules,
-               libpam0g-dev,
-               samba,
-               dbus,
-               libwbclient-dev,
-               apparmor,
 Standards-Version: 4.5.1
 XS-Go-Import-Path: github.com/ubuntu/adsys
 Homepage: https://github.com/ubuntu/adsys
@@ -25,7 +26,6 @@
  It allows one to handle machine and users GPOs, mapping them to dconf keys,
  apparmor rules, mounts, proxy settings, certificate autoenrollment and running
  scripts at different points in time.
-
 
 Package: adsys
 Architecture: any

## adsys 0.14.2~22.04ubuntu0.1

=== debian/changelog ===
adsys (0.14.2~22.04ubuntu0.1) jammy-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Thu, 24 Oct 2024 09:50:29 +1000

adsys (0.14.2~22.04) jammy; urgency=medium

  * Fix DCONF policy manager removing user DB on empty policy (LP: #2078245)
  * Ignore casing in domain/ section of sssd.conf (LP: #2078246)
  * Fix parsing of slash usernames (i.e. domain\user) (LP: #2078247)
  * Fix errno in get_ticket_path() (LP: #2078473)

 -- Denison Barbosa <denison.barbosa@canonical.com>  Fri, 30 Aug 2024 10:33:56 -0400

## adsys 0.14.2~24.04

=== debian/changelog ===
adsys (0.14.2~24.04) noble; urgency=medium

  * Fix DCONF policy manager removing user DB on empty policy (LP: #2078245)
  * Ignore casing in domain/ section of sssd.conf (LP: #2078246)
  * Fix parsing of slash usernames (i.e. domain\user) (LP: #2078247)
  * Fix errno in get_ticket_path() (LP: #2078473)

 -- Denison Barbosa <denison.barbosa@canonical.com>  Fri, 30 Aug 2024 10:28:07 -0400

adsys (0.14.1ubuntu0.24.04.1) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Nishit Majithia <nishit.majithia@canonical.com>  Tue, 16 Jul 2024 11:09:41 +0530

## adsys 0.14.2~24.04ubuntu0.1

=== debian/changelog ===
adsys (0.14.2~24.04ubuntu0.1) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Mon, 11 Nov 2024 10:15:58 +1000

## adsys 0.14.3~22.04

=== debian/changelog ===
adsys (0.14.3~22.04) jammy; urgency=medium

  [Davi Henrique]
  * Ignore casing when fetching Registry.pol (LP: #2080390)
  * Add configurable timeout for listing GPOs (LP: #2081966)

  [Felipe Alencastro]
  * Add support for DCONF usb settings (LP: #2081968)

 -- Denison Barbosa <denison.barbosa@canonical.com>  Tue, 19 Nov 2024 06:38:20 -0400

## adsys 0.14.3~22.04ubuntu0.1

=== debian/changelog ===
adsys (0.14.3~22.04ubuntu0.1) jammy-security; urgency=medium

  * SECURITY UPDATE: Denial of service in parse function.
    - Use strings.EqualFold instead of direct comparison and
      strings.ToLower in .../html/doctype.go, .../html/foreign.go, and
      .../html/parse.go. Based on
      https://go.googlesource.com/net/+/8e66b04771e35c4e4125e8c60334b34e2423effb
      upstream patch.
    - CVE-2024-45338

 -- Hlib Korzhynskyy <hlib.korzhynskyy@canonical.com>  Tue, 07 Jan 2025 14:18:06 -0330

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends: debhelper-compat (= 13),
                dh-apport,
                dh-golang,
-               golang-go (>= 2:1.22~),
+               golang-1.22-go,
                apparmor,
                dbus,
                libdbus-1-dev,

=== debian/rules ===
--- 
+++ 
@@ -86,3 +86,5 @@
 	ln -s adsysd debian/tmp/sbin/adsysctl
 	# Run go generate to install assets, but don’t regenerate them
 	GENERATE_ONLY_INSTALL_TO_DESTDIR=$(CURDIR)/debian/tmp go generate -x $(GOFLAGS),tools ./...
+
+override_dh_dwz:

## adsys 0.14.3~24.04

=== debian/changelog ===
adsys (0.14.3~24.04) noble; urgency=medium

  [Davi Henrique]
  * Ignore casing when fetching Registry.pol (LP: #2080390)
  * Add configurable timeout for listing GPOs (LP: #2081966)

  [Felipe Alencastro]
  * Add support for DCONF usb settings (LP: #2081968)

 -- Denison Barbosa <denison.barbosa@canonical.com>  Tue, 19 Nov 2024 06:28:25 -0400

## adsys 0.14.3~24.04ubuntu0.1

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line, and also
# from the environment for the first two.
SPHINXOPTS    ?= -c . -d .sphinx/.doctrees
SPHINXBUILD   ?= sphinx-build
SPHINXDIR     = .sphinx
SOURCEDIR     = .
BUILDDIR      = _build
VENVDIR       = $(SPHINXDIR)/venv
VENV          = $(VENVDIR)/bin/activate

.PHONY: help woke-install install run html epub serve clean clean-doc \
        spelling linkcheck woke Makefile

# Put it first so that "make" without argument is like "make help".
help: $(VENVDIR)
	@. $(VENV); $(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

# Explicit target avoids fall-through to the "Makefile" target.
$(SPHINXDIR)/requirements.txt:
	test -f $(SPHINXDIR)/requirements.txt

# If requirements are updated, venv should be rebuilt and timestamped.
$(VENVDIR): $(SPHINXDIR)/requirements.txt
	@echo "... setting up virtualenv"
	python3 -m venv $(VENVDIR)
	. $(VENV); pip install --require-virtualenv \
	    --upgrade -r $(SPHINXDIR)/requirements.txt \
            --log $(VENVDIR)/pip_install.log
	@test ! -f $(VENVDIR)/pip_list.txt || \
            mv $(VENVDIR)/pip_list.txt $(VENVDIR)/pip_list.txt.bak
	@. $(VENV); pip list --local --format=freeze > $(VENVDIR)/pip_list.txt
	@echo "\n" \
        "--------------------------------------------------------------- \n" \
        "* watch, build and serve the documentation: make run \n" \
        "* only build: make html \n" \
        "* only serve: make serve \n" \
        "* clean built doc files: make clean-doc \n" \
        "* clean full environment: make clean \n" \
        "* check links: make linkcheck \n" \
        "* check spelling: make spelling \n" \
        "* check inclusive language: make woke \n" \
        "* other possible targets: make <press TAB twice> \n" \
        "--------------------------------------------------------------- \n"
	@touch $(VENVDIR)

woke-install:
	@type woke >/dev/null 2>&1 || \
            { echo "Installing \"woke\" snap... \n"; sudo snap install woke; }

install: $(VENVDIR) woke-install

run: install
	. $(VENV); sphinx-autobuild --re-ignore 'reference/policies/.*/index.md' -b dirhtml "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS)

# Doesn't depend on $(BUILDDIR) to rebuild properly at every run.
html: install
	. $(VENV); $(SPHINXBUILD) -b dirhtml "$(SOURCEDIR)" "$(BUILDDIR)" -w .sphinx/warnings.txt $(SPHINXOPTS)

epub: install
	. $(VENV); $(SPHINXBUILD) -b epub "$(SOURCEDIR)" "$(BUILDDIR)" -w .sphinx/warnings.txt $(SPHINXOPTS)

serve: html
	cd "$(BUILDDIR)"; python3 -m http.server 8000

clean: clean-doc
	@test ! -e "$(VENVDIR)" -o -d "$(VENVDIR)" -a "$(abspath $(VENVDIR))" != "$(VENVDIR)"
	rm -rf $(VENVDIR)
	rm -rf .sphinx/.doctrees

clean-doc:
	git clean -fx "$(BUILDDIR)"

spelling: html
	. $(VENV) ; python3 -m pyspelling -c .sphinx/spellingcheck.yaml

linkcheck: install
	. $(VENV) ; $(SPHINXBUILD) -b linkcheck "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS)

woke: woke-install
	woke *.rst **/*.rst --exit-1-on-failure \
	    -c https://github.com/canonical/Inclusive-naming/raw/main/config.yml

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	. $(VENV); $(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== docs/.sphinx/requirements.txt ===
furo
linkify-it-py
lxd-sphinx-extensions
myst-parser
pyspelling
sphinx
sphinx-autobuild
sphinx-copybutton
sphinx-design
sphinx-notfound-page
sphinx-reredirects
sphinx-tabs
sphinxcontrib-jquery
sphinxext-opengraph

=== debian/changelog ===
adsys (0.14.3~24.04ubuntu0.1) noble-security; urgency=medium

  * SECURITY UPDATE: Denial of service in parse function.
    - Use strings.EqualFold instead of direct comparison and
      strings.ToLower in .../html/doctype.go, .../html/foreign.go, and
      .../html/parse.go. Based on
      https://go.googlesource.com/net/+/8e66b04771e35c4e4125e8c60334b34e2423effb
      upstream patch.
    - CVE-2024-45338

 -- Hlib Korzhynskyy <hlib.korzhynskyy@canonical.com>  Tue, 07 Jan 2025 13:50:46 -0330

=== debian/rules ===
--- 
+++ 
@@ -2,9 +2,6 @@
 #export DH_VERBOSE = 1
 
 export GOCACHE=$(shell mktemp -d /tmp/gocache-XXXX)
-
-# Run with Go 1.22
-export PATH := /usr/lib/go-1.22/bin/:$(PATH)
 
 WIN_ARCHS := amd64 arm64
 # Tags should always come last as we append to them in other parts of the build
@@ -86,5 +83,3 @@
 	ln -s adsysd debian/tmp/sbin/adsysctl
 	# Run go generate to install assets, but don’t regenerate them
 	GENERATE_ONLY_INSTALL_TO_DESTDIR=$(CURDIR)/debian/tmp go generate -x $(GOFLAGS),tools ./...
-
-override_dh_dwz:

## adsys 0.15.2

=== debian/changelog ===
adsys (0.15.2) oracular; urgency=medium

  [ Davi Henrique ]
  * Ignore casing when fetching Registry.pol (LP: #2080390)
  * Add configurable timeout for listing GPOs (LP: #2081966)

  [ Felipe Alencastro ]
  * Add support for DCONF usb settings (LP: #2081968)

 -- Denison Barbosa <denison.barbosa@canonical.com>  Wed, 25 Sep 2024 08:06:40 -0400

adsys (0.15.1) oracular; urgency=medium

  * Fix version based tests on released version

 -- Didier Roche-Tolomelli <didrocks@ubuntu.com>  Mon, 02 Sep 2024 14:05:22 +0200

adsys (0.15) oracular; urgency=medium

  * Fix DCONF policy manager removing user DB on empty policy (LP: #2078245)
  * Ignore casing in domain/ section of sssd.conf (LP: #2078246)
  * Fix parsing of slash usernames (i.e. domain\user) (LP: #2078247)
  * Fix errno in get_ticket_path(LP: #2078473)
  * Remove XML declaration from glib schemas
  * Bump Go version to 1.23
  * CI and quality of life changes not impacting package functionality:
    - Integrate repo with TiCS quality assessment
    - Switch documentation spellchecking to en-GB
    - Add text version of certificates tutorial
    - Additional code coverage through more testing
    - Improvements to the e2e test environment
  * Bump dependencies to latest:
    - jidicula/clang-format-action
    - github.com/charmbracelet/bubbles
    - github.com/charmbracelet/bubbletea
    - github.com/charmbracelet/glamour
    - github.com/charmbracelet/lipgloss
    - github.com/fatih/color
    - github.com/leonelquinteros/gotext
    - github.com/spf13/cobra
    - github.com/spf13/viper
    - golang.org/x/crypto
    - golang.org/x/net
    - golang.org/x/sync
    - golang.org/x/sys
    - golang.org/x/text
    - google.golang.org/grpc/cmd/protoc-gen-go-grpc
    - google.golang.org/grpc
    - google.golang.org/protobuf
    - github.com/golangci/golangci-lint

 -- Denison Barbosa <denison.barbosa@canonical.com>  Thu, 29 Aug 2024 07:47:16 -0400

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends: debhelper-compat (= 13),
                dh-apport,
                dh-golang,
-               golang-1.22-go,
+               golang-go (>= 2:1.22~),
                apparmor,
                dbus,
                libdbus-1-dev,
@@ -47,6 +47,7 @@
 Suggests: curlftpfs,
           ubuntu-proxy-manager,
           python3-cepces,
+          polkitd-pkla,
 Description: ${source:Synopsis}
  ${source:Extended-Description}

## adsys 0.15.2ubuntu0.1

=== debian/changelog ===
adsys (0.15.2ubuntu0.1) oracular-security; urgency=medium

  * SECURITY UPDATE: Denial of service in parse function.
    - Use strings.EqualFold instead of direct comparison and
      strings.ToLower in .../html/doctype.go, .../html/foreign.go, and
      .../html/parse.go. Based on
      https://go.googlesource.com/net/+/8e66b04771e35c4e4125e8c60334b34e2423effb
      upstream patch.
    - CVE-2024-45338

 -- Hlib Korzhynskyy <hlib.korzhynskyy@canonical.com>  Tue, 07 Jan 2025 14:39:21 -0330

## adsys 0.16.0ubuntu1

=== debian/changelog ===
adsys (0.16.0ubuntu1) plucky; urgency=medium

  * SECURITY UPDATE: Denial of service in parse function.
    - Use strings.EqualFold instead of direct comparison and
      strings.ToLower in .../html/doctype.go, .../html/foreign.go, and
      .../html/parse.go. Based on
      https://go.googlesource.com/net/+/8e66b04771e35c4e4125e8c60334b34e2423effb
      upstream patch.
    - CVE-2024-45338

 -- Hlib Korzhynskyy <hlib.korzhynskyy@canonical.com>  Tue, 07 Jan 2025 15:17:57 -0330

adsys (0.16.0) plucky; urgency=medium

  * Bump minimum Go version to 1.22
  * Run certificates auto enroll script with debug enabled based on daemon
    verbosity
  * Add support for Polkit >= 124
  * Refresh policy definition files to support latest Ubuntu releases
  * CI and quality of life changes not impacting package functionality:
    - Enable CI to run on pull requests from adsys forks
    - Update links to new server documentation
  * Bump dependencies to latest:
    - github.com/charmbracelet/bubbles
    - github.com/charmbracelet/bubbletea
    - github.com/charmbracelet/lipgloss
    - github.com/fatih/color
    - github.com/leonelquinteros/gotext
    - github.com/pkg/sftp
    - github.com/stretchr/testify
    - golang.org/x/net
    - golang.org/x/sys
    - golang.org/x/text
    - golang.org/x/crypto
    - google.golang.org/grpc
    - google.golang.org/protobuf
    - github.com/golang/protobuf
    - github.com/golangci/golangci-lint
    - codecov/codecov-action
    - jidicula/clang-format-action
    - peter-evans/create-pull-request

 -- Denison Barbosa <denison.barbosa@canonical.com>  Fri, 06 Dec 2024 08:18:44 -0400

## adsys 0.16.2build1

=== debian/changelog ===
adsys (0.16.2build1) plucky; urgency=medium

  * No-change rebuild against Go 1.24.

 -- Shengjing Zhu <shengjing.zhu@canonical.com>  Mon, 24 Feb 2025 09:31:56 +0000

adsys (0.16.2) plucky; urgency=medium

  * New upstream release (LP: #2091940)
  * Fixes and improvements to certificate autoenrollment
    - Improve log messages to help understand issues and failures
    - Fix LDAP queries on multiple domains environments
    - Allow default behavior to get supported certificate templates
      to be overriden through cepces configuration

 -- Denison Barbosa <denison.barbosa@canonical.com>  Mon, 03 Feb 2025 10:08:09 -0400

adsys (0.16.1) plucky; urgency=medium

  * Bump Go version to 1.23
  * Add architecture diagrams to documentation
  * Bump dependencies to latest:
    - golang.org/x/crypto (0.31.0)
    - golang.org/x/net (0.34.0)
      + Fixes CVE-2024-45338
    - golang.org/x/sys (0.29.0)
    - google.golang.org/grpc (1.70.0)
    - google.golang.org/protobuf (1.36.4)
    - github.com/golangci/golangci-lint (1.63.4)

 -- Denison Barbosa <denison.barbosa@canonical.com>  Wed, 29 Jan 2025 06:36:01 -0400

## adsys 0.16.3~22.04.1

=== docs/Makefile ===
# This Makefile stub allows you to customize starter pack (SP) targets.
# Consider this file as a bridge between your project
# and the starter pack's predefined targets that reside in Makefile.sp.
#
# You can add your own, non-SP targets here or override SP targets
# to fit your project's needs. For example, you can define and use targets
# named "install" or "run", but continue to use SP targets like "sp-install"
# or "sp-run" when working on the documentation.

# Put it first so that "make" without argument is like "make help".
help:
	@echo "\n" \
        "------------------------------------------------------------- \n" \
        "* watch, build and serve the documentation:  make run \n" \
        "* only build:                                make html \n" \
        "* only serve:                                make serve \n" \
        "* clean built doc files:                     make clean-doc \n" \
        "* clean full environment:                    make clean \n" \
        "* check links:                               make linkcheck \n" \
        "* check spelling:                            make spelling \n" \
        "* check spelling (without building again):   make spellcheck \n" \
        "* check inclusive language:                  make woke \n" \
        "* check accessibility:                       make pa11y \n" \
        "* check style guide compliance:              make vale \n" \
        "* check style guide compliance on target:    make vale TARGET=* \n" \
        "* other possible targets:                    make <TAB twice> \n" \
        "------------------------------------------------------------- \n"

%:
	$(MAKE) -f Makefile.sp sp-$@

=== debian/changelog ===
adsys (0.16.3~22.04.1) jammy; urgency=medium

  * debian/tests: Use the correct Go binary to run the autopkgtests
    (LP: #2091940)

 -- Denison Barbosa <denison.barbosa@canonical.com>  Mon, 02 Jun 2025 08:27:55 -0400

adsys (0.16.3~22.04) jammy; urgency=medium

  * Backport adsys 0.16.3 to jammy (LP: #2091940)
  * Bump Go version to 1.23
  * Bump Go toolchain version to 1.23.6
  * Fixes and improvements to certificate autoenrollment
    - Improve log messages to help understand issues and failures
    - Fix LDAP queries on multiple domains environments
    - Allow default behavior to get supported certificate templates
      to be overriden through cepces configuration
    - Fix URL for NDES enrollment
  * Resize buffer to parse very large GPOs
  * Add corpus to fuzz tests to increase their precision
  * Documentation improvements
    - Add architecture diagrams to documentation
    - Add ref glossary
    - Change spelling to US
    - Home and landing pages refresh
  * Run certificates auto enroll script with debug enabled based on daemon
    verbosity
  * Add support for Polkit >= 124
  * Refresh policy definition files to support latest Ubuntu releases
  * CI and quality of life changes not impacting package functionality:
    - Enable CI to run on pull requests from adsys forks
    - Update links to new server documentation
  * Bump dependencies to latest:
    - golang.org/x/crypto (0.31.0)
    - golang.org/x/net (0.37.0)
      + Fixes CVE-2024-45338
    - golang.org/x/sys (0.29.0)
    - golang.org/x/text (0.22.0)
    - google.golang.org/grpc (1.71.0)
    - google.golang.org/protobuf (1.36.6)
    - github.com/charmbracelet/bubbles (0.20.0)
    - github.com/charmbracelet/bubbletea (1.3.4)
    - github.com/charmbracelet/glamour (0.9.1)
    - github.com/charmbracelet/lipgloss (1.1.0)
    - github.com/fatih/color (1.18.0)
    - github.com/leonelquinteros/gotext (1.7.0)
    - github.com/pkg/sftp (1.13.9)
    - github.com/spf13/cobra (1.9.1)
    - github.com/stretchr/testify (1.10.0)
    - github.com/golangci/golangci-lint (1.64.8)
  * CI dependencies not impacting package functionality:
    - canonical/has-signed-canonical-cla (2)
    - codecov/codecov-action (5)
    - jidicula/clang-format-action (4.15.0)
    - peter-evans/create-pull-request (7)

 -- Denison Barbosa <denison.barbosa@canonical.com>  Mon, 31 Mar 2025 06:49:09 -0400

=== debian/rules ===
--- 
+++ 
@@ -24,6 +24,13 @@
 # Skip integration tests when building package: they need docker images
 # Tests needing sudo will be skipped automatically
 export ADSYS_SKIP_INTEGRATION_TESTS=1
+
+# We want to take whatever ubuntu propose to us (as it won’t download a newer version),
+# as long as it matches the go.mod go stenza which is the language requirement.
+export GOTOOLCHAIN := local
+
+# Run with Go 1.23
+export PATH := /usr/lib/go-1.23/bin/:$(PATH)
 
 %:
 	dh $@ --buildsystem=golang --with=golang,apport
@@ -83,3 +90,5 @@
 	ln -s adsysd debian/tmp/sbin/adsysctl
 	# Run go generate to install assets, but don’t regenerate them
 	GENERATE_ONLY_INSTALL_TO_DESTDIR=$(CURDIR)/debian/tmp go generate -x $(GOFLAGS),tools ./...
+
+override_dh_dwz:

## adsys 0.16.3~22.04.2

=== vendor/github.com/yuin/goldmark/Makefile ===
--- 
+++ 
@@ -1,4 +1,7 @@
-.PHONY: test fuzz
+.PHONY: test fuzz lint
+
+lint:
+	golangci-lint run -c .golangci.yml ./...
 
 test:
 	go test -coverprofile=profile.out -coverpkg=github.com/yuin/goldmark,github.com/yuin/goldmark/ast,github.com/yuin/goldmark/extension,github.com/yuin/goldmark/extension/ast,github.com/yuin/goldmark/parser,github.com/yuin/goldmark/renderer,github.com/yuin/goldmark/renderer/html,github.com/yuin/goldmark/text,github.com/yuin/goldmark/util ./...

=== debian/changelog ===
adsys (0.16.3~22.04.2) jammy; urgency=medium

  * internal/ad/adsys-gpolist: Allow searching GPO list by UserPrincipalName.
    (LP: #2125134)

 -- Marcin Wilk <marcin.wilk@canonical.com>  Thu, 23 Oct 2025 14:58:11 +0200

## adsys 0.16.3~24.04.1

=== debian/changelog ===
adsys (0.16.3~24.04.1) noble; urgency=medium

  * debian/tests: Use the correct Go binary to run the autopkgtests
    (LP: #2091940)

 -- Denison Barbosa <denison.barbosa@canonical.com>  Mon, 02 Jun 2025 08:32:11 -0400

adsys (0.16.3~24.04) noble; urgency=medium

  * Backport adsys 0.16.3 to noble (LP: #2091940)
  * Bump Go version to 1.23
  * Bump Go toolchain version to 1.23.6
  * Fixes and improvements to certificate autoenrollment
    - Improve log messages to help understand issues and failures
    - Fix LDAP queries on multiple domains environments
    - Allow default behavior to get supported certificate templates
      to be overriden through cepces configuration
    - Fix URL for NDES enrollment
  * Resize buffer to parse very large GPOs
  * Add corpus to fuzz tests to increase their precision
  * Remove d/.prerm purge stanza
  * Documentation improvements
    - Add architecture diagrams to documentation
    - Add ref glossary
    - Change spelling to US
    - Home and landing pages refresh
  * Run certificates auto enroll script with debug enabled based on daemon
    verbosity
  * Add support for Polkit >= 124
  * Refresh policy definition files to support latest Ubuntu releases
  * CI and quality of life changes not impacting package functionality:
    - Enable CI to run on pull requests from adsys forks
    - Update links to new server documentation
  * Bump dependencies to latest:
    - golang.org/x/crypto (0.31.0)
    - golang.org/x/net (0.37.0)
      + Fixes CVE-2024-45338
    - golang.org/x/sys (0.29.0)
    - golang.org/x/text (0.22.0)
    - google.golang.org/grpc (1.71.0)
    - google.golang.org/protobuf (1.36.6)
    - github.com/charmbracelet/bubbles (0.20.0)
    - github.com/charmbracelet/bubbletea (1.3.4)
    - github.com/charmbracelet/glamour (0.9.1)
    - github.com/charmbracelet/lipgloss (1.1.0)
    - github.com/fatih/color (1.18.0)
    - github.com/leonelquinteros/gotext (1.7.0)
    - github.com/pkg/sftp (1.13.9)
    - github.com/spf13/cobra (1.9.1)
    - github.com/stretchr/testify (1.10.0)
    - github.com/golangci/golangci-lint (1.64.8)
  * CI dependencies not impacting package functionality:
    - canonical/has-signed-canonical-cla (2)
    - codecov/codecov-action (5)
    - jidicula/clang-format-action (4.15.0)
    - peter-evans/create-pull-request (7)

 -- Denison Barbosa <denison.barbosa@canonical.com>  Mon, 31 Mar 2025 06:49:09 -0400

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends: debhelper-compat (= 13),
                dh-apport,
                dh-golang,
-               golang-go (>= 2:1.22~),
+               golang-1.23-go,
                apparmor,
                dbus,
                libdbus-1-dev,
@@ -47,7 +47,6 @@
 Suggests: curlftpfs,
           ubuntu-proxy-manager,
           python3-cepces,
-          polkitd-pkla,
 Description: ${source:Synopsis}
  ${source:Extended-Description}

## adsys 0.16.3~24.04.2

=== vendor/github.com/hashicorp/hcl/Makefile ===
TEST?=./...

default: test

fmt: generate
	go fmt ./...

test: generate
	go get -t ./...
	go test $(TEST) $(TESTARGS)

generate:
	go generate ./...

updatedeps:
	go get -u golang.org/x/tools/cmd/stringer

.PHONY: default generate test updatedeps

=== debian/changelog ===
adsys (0.16.3~24.04.2) noble; urgency=medium

  * internal/ad/adsys-gpolist: Allow searching GPO list by UserPrincipalName.
    (LP: #2125134)

 -- Marcin Wilk <marcin.wilk@canonical.com>  Thu, 23 Oct 2025 13:54:18 +0200

=== debian/rules ===
--- 
+++ 
@@ -91,4 +91,3 @@
 	# Run go generate to install assets, but don’t regenerate them
 	GENERATE_ONLY_INSTALL_TO_DESTDIR=$(CURDIR)/debian/tmp go generate -x $(GOFLAGS),tools ./...
 
-override_dh_dwz:

## adsys 0.16.3~24.10

=== debian/changelog ===
adsys (0.16.3~24.10) oracular; urgency=medium

  * Backport adsys 0.16.3 to oracular (LP: #2091940)
  * Bump Go version to 1.23
  * Bump Go toolchain version to 1.23.6
  * Fixes and improvements to certificate autoenrollment
    - Improve log messages to help understand issues and failures
    - Fix LDAP queries on multiple domains environments
    - Allow default behavior to get supported certificate templates
      to be overriden through cepces configuration
    - Fix URL for NDES enrollment
  * Resize buffer to parse very large GPOs
  * Add corpus to fuzz tests to increase their precision
  * Documentation improvements
    - Add architecture diagrams to documentation
    - Add ref glossary
    - Change spelling to US
    - Home and landing pages refresh
  * Run certificates auto enroll script with debug enabled based on daemon
    verbosity
  * Add support for Polkit >= 124
  * Refresh policy definition files to support latest Ubuntu releases
  * CI and quality of life changes not impacting package functionality:
    - Enable CI to run on pull requests from adsys forks
    - Update links to new server documentation
  * Bump dependencies to latest:
    - golang.org/x/crypto (0.31.0)
    - golang.org/x/net (0.37.0)
      + Fixes CVE-2024-45338
    - golang.org/x/sys (0.29.0)
    - golang.org/x/text (0.22.0)
    - google.golang.org/grpc (1.71.0)
    - google.golang.org/protobuf (1.36.6)
    - github.com/charmbracelet/bubbles (0.20.0)
    - github.com/charmbracelet/bubbletea (1.3.4)
    - github.com/charmbracelet/glamour (0.9.1)
    - github.com/charmbracelet/lipgloss (1.1.0)
    - github.com/fatih/color (1.18.0)
    - github.com/leonelquinteros/gotext (1.7.0)
    - github.com/pkg/sftp (1.13.9)
    - github.com/spf13/cobra (1.9.1)
    - github.com/stretchr/testify (1.10.0)
    - github.com/golangci/golangci-lint (1.64.8)
  * CI dependencies not impacting package functionality:
    - canonical/has-signed-canonical-cla (2)
    - codecov/codecov-action (5)
    - jidicula/clang-format-action (4.15.0)
    - peter-evans/create-pull-request (7)

 -- Denison Barbosa <denison.barbosa@canonical.com>  Mon, 31 Mar 2025 06:49:09 -0400

## adsys 0.16.3

=== debian/changelog ===
adsys (0.16.3) plucky; urgency=medium

  * New upstream release (LP: #2104369)
  * Bump Go toolchain version to 1.23.6
  * Fix URL for certificate enrollment and some bad references in the
    enrollment code
  * Resize buffer to parse very large GPOs
  * Add corpus to fuzz tests to increase their precision
  * Improvements to docs
    - Add ref glossary
    - Change spelling to US
    - Home and landing pages refresh
  * Bump dependencies to latest:
    - github.com/charmbracelet/bubbletea
    - github.com/charmbracelet/glamour
    - github.com/charmbracelet/lipgloss
    - github.com/pkg/sftp
    - github.com/spf13/cobra
    - golang.org/x/net
    - golang.org/x/text
    - google.golang.org/grpc
    - google.golang.org/protobuf
    - github.com/golangci/golangci-lint
    - canonical/has-signed-canonical-cla
    - jidicula/clang-format-action

 -- Denison Barbosa <denison.barbosa@canonical.com>  Thu, 27 Mar 2025 07:00:42 -0400

## adsys 0.16.3ubuntu0.25.04.1

=== debian/changelog ===
adsys (0.16.3ubuntu0.25.04.1) plucky; urgency=medium

  * internal/ad/adsys-gpolist: Allow searching GPO list by UserPrincipalName.
    (LP: #2125134)

 -- Marcin Wilk <marcin.wilk@canonical.com>  Thu, 23 Oct 2025 07:53:58 +0200

## adsys 0.16.3ubuntu0.25.10.1

=== vendor/github.com/alecthomas/chroma/v2/Makefile ===
.PHONY: chromad upload all

VERSION ?= $(shell git describe --tags --dirty  --always)
export GOOS ?= linux
export GOARCH ?= amd64

all: README.md tokentype_string.go

README.md: lexers/*/*.go
	./table.py

tokentype_string.go: types.go
	go generate

chromad:
	rm -rf build
	esbuild --bundle cmd/chromad/static/index.js --minify --outfile=cmd/chromad/static/index.min.js
	esbuild --bundle cmd/chromad/static/index.css --minify --outfile=cmd/chromad/static/index.min.css
	(export CGOENABLED=0 ; cd ./cmd/chromad && go build -ldflags="-X 'main.version=$(VERSION)'" -o ../../build/chromad .)

upload: build/chromad
	scp build/chromad root@swapoff.org: && \
		ssh root@swapoff.org 'install -m755 ./chromad /srv/http/swapoff.org/bin && service chromad restart'

=== debian/changelog ===
adsys (0.16.3ubuntu0.25.10.1) questing; urgency=medium

  * internal/ad/adsys-gpolist: Allow searching GPO list by UserPrincipalName.
    (LP: #2125134)

 -- Marcin Wilk <marcin.wilk@canonical.com>  Wed, 24 Sep 2025 13:44:11 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends: debhelper-compat (= 13),
                dh-apport,
                dh-golang,
-               golang-1.23-go,
+               golang-go (>= 2:1.23~),
                apparmor,
                dbus,
                libdbus-1-dev,

=== debian/rules ===
--- 
+++ 
@@ -28,9 +28,6 @@
 # We want to take whatever ubuntu propose to us (as it won’t download a newer version),
 # as long as it matches the go.mod go stenza which is the language requirement.
 export GOTOOLCHAIN := local
-
-# Run with Go 1.23
-export PATH := /usr/lib/go-1.23/bin/:$(PATH)
 
 %:
 	dh $@ --buildsystem=golang --with=golang,apport
@@ -90,4 +87,3 @@
 	ln -s adsysd debian/tmp/sbin/adsysctl
 	# Run go generate to install assets, but don’t regenerate them
 	GENERATE_ONLY_INSTALL_TO_DESTDIR=$(CURDIR)/debian/tmp go generate -x $(GOFLAGS),tools ./...
-
